Loading...
Searching...
No Matches
pdumodel::PowerMeterController::PowerMeterDeletedEvent Struct Reference

Event: A power meter was deleted. More...

Inheritance diagram for pdumodel::PowerMeterController::PowerMeterDeletedEvent:

## Public Attributes

PowerMeter::Config | config
| Old power meter config.
PowerMeter::Settings | settings
| Old power meter settings.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A power meter was deleted.

Definition at line 50 of file PowerMeterController.idl.

## Member Data Documentation

## config

PowerMeter::Config pdumodel::PowerMeterController::PowerMeterDeletedEvent::config

Old power meter config.

Definition at line 51 of file PowerMeterController.idl.

## settings

PowerMeter::Settings pdumodel::PowerMeterController::PowerMeterDeletedEvent::settings

Old power meter settings.

Definition at line 52 of file PowerMeterController.idl.

The documentation for this struct was generated from the following file:

- PowerMeterController.idl